﻿#layoutContainer {
    display: flex;
    flex-direction: row;
    gap: 40px;
}

#leftColumn {
    width: 480px;
    min-width: 480px;
}

#rightColumn {
    flex-grow: 1;
    display: flex; 
    flex-direction: column;
    min-width: 300px;
    max-width: 600px;
}
 
#rightContentBox {       
    padding: 10px;
    background-color: white;
    box-shadow: 0 0 10px 0 #777; 
}

#appContainer {
    width: 100%;
    background-color: white;
    box-shadow: 0 0 10px 0 #777;
    padding-bottom: 15px;
}

@media (max-width: 900px) {

    #layoutContainer {        
        gap: 20px; 
    }

}

@media (max-width: 780px) {

    #layoutContainer {        
        flex-wrap: wrap-reverse;
    }

    #leftColumn, #rightColumn {
        width: 100%;
        max-width: none;
    }
     
}

@media (max-width: 500px) {

    #layoutContainer {
        max-width: 480px;        
    } 
     
    #leftColumn {
        width: 100%;
    }

    #appContainer {
        box-shadow: none;
    }

    #rightColumn {
        width: 100%;
        padding: 15px;
    }

    #rightContentBox {
        width: 100%;
        box-shadow: none;
        padding: 0px;
    }

}